## gradle 0.9.2

=== debian/changelog ===
gradle (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Refresh patches.
  * Add Build-Depends on libgradle-maven-java.
  * Update watch file.
  * Update copyright dates.
  * Drop unneeded patch for liblogback-java and set (>= 0.9.28) as
    minimal version to depend on.
  * Drop Build-Depends on quilt.

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 26 Mar 2011 23:07:59 +0100

gradle (0.9.1-1) experimental; urgency=low

  * Initial release. (Closes: #587832).

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 04 Jan 2011 19:43:27 -0430
