=== debian/control ===
Source: gradle
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>
Section: java
Priority: optional
Build-Depends: debhelper (>= 7.0.50~), default-jdk, javahelper, gradle,
 libgradle-code-quality-java, libgradle-eclipse-java, libgradle-idea-java,
 libgradle-wrapper-java, libgradle-scala-java, unzip, ant, ant-optional,
 libantlr-java, libasm3-java, libcommons-cli-java, libcommons-io-java,
 libdom4j-java, libgoogle-collections-java (>= 1.0), groovy (>= 1.7.4), ivy,
 libjaxen-java, libjoptsimple-java, libslf4j-java, liblogback-java (>= 0.9.28),
 junit4, libxmlunit-java, libcommons-httpclient-java, libcommons-codec-java,
 libjsch-java, libjzlib-java, testng, libcommons-collections3-java,
 libmaven-ant-tasks-java, libjansi-java, libjna-posix-java,
 libplexus-containers-java, libmaven2-core-java, libplexus-component-api-java,
 libplexus-utils-java, libwagon-java, libcodenarc-groovy-java,
 checkstyle (>= 5.1), libcommons-beanutils-java, libsvnkit-java, bnd,
 libservlet2.5-java, libjetty-java, libjetty-extra-java, libxalan2-java,
 libgradle-maven-java
Standards-Version: 3.9.1
Homepage: http://gradle.org/
Vcs-Git: git://git.debian.org/git/pkg-java/gradle.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/gradle.git

Package: gradle
Architecture: all
Depends: default-jre-headless, groovy (>= 1.7.4), ant, ant-optional,
 libgradle-core-java (= ${binary:Version}),
 libgradle-plugins-java (= ${binary:Version}), libantlr-java, libasm3-java,
 libcommons-cli-java, libcommons-io-java, libdom4j-java,
 libgoogle-collections-java (>= 1.0), ivy, libjaxen-java, libjoptsimple-java,
 libslf4j-java, liblogback-java (>= 0.9.28), junit4, libxmlunit-java,
 libcommons-httpclient-java, libcommons-codec-java, libjsch-java, libjzlib-java,
 testng, libcommons-collections3-java, libmaven-ant-tasks-java, libjansi-java,
 libjna-posix-java, libplexus-containers-java, libmaven2-core-java,
 libplexus-component-api-java, libwagon-java, libcodenarc-groovy-java,
 checkstyle (>= 5.1), libcommons-beanutils-java, libsvnkit-java, bnd,
 libservlet2.5-java, libjetty-java, libjetty-extra-java, ${misc:Depends}
Recommends: libgradle-announce-java (= ${binary:Version}),
 libgradle-antlr-java (= ${binary:Version}),
 libgradle-code-quality-java (= ${binary:Version}),
 libgradle-eclipse-java (= ${binary:Version}),
 libgradle-idea-java (= ${binary:Version}),
 libgradle-jetty-java (= ${binary:Version}),
 libgradle-maven-java (= ${binary:Version}),
 libgradle-osgi-java (= ${binary:Version}),
 libgradle-scala-java (= ${binary:Version}),
 libgradle-wrapper-java (= ${binary:Version})
Description: Groovy based build system
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.

Package: libgradle-core-java
Architecture: all
Depends: liblogback-java (>= 0.9.28), libgoogle-collections-java (>= 1.0),
 groovy, libjoptsimple-java, libcommons-collections3-java,
 libcommons-httpclient-java, libcommons-io-java, libcommons-lang-java, ivy,
 ant, libjansi-java, libasm3-java, libslf4j-java, libmaven-ant-tasks-java,
 libmaven2-core-java, libplexus-component-api-java, libplexus-utils-java,
 ${misc:Depends}
Recommends: gradle (= ${binary:Version})
Suggests: gradle-doc (= ${binary:Version})
Description: Groovy based build system - Core library
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.
 .
 This package contains the Gradle Core API library.

Package: libgradle-announce-java
Architecture: all
Depends: libgradle-core-java (= ${binary:Version}), ${misc:Depends}
Description: Groovy based build system - Announce plugin
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.
 .
 This package contains the Gradle announce plugin and
 enables you to publish messages on succeeded tasks to your favourite
 platforms. It supports Twitter, Ubuntu Notify, Snarl and Growl.

Package: libgradle-antlr-java
Architecture: all
Depends: libgradle-core-java (= ${binary:Version}), ${misc:Depends}
Suggests: antlr
Description: Groovy based build system - ANTLR plugin
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.
 .
 This package contains the Gradle ANTLR plugin that extends the Java
 plugin to add support for generating parsers using ANTLR.

Package: libgradle-code-quality-java
Architecture: all
Depends: libgradle-core-java (= ${binary:Version}), ${misc:Depends}
Suggests: libcodenarc-groovy-java, checkstyle (>= 5.1)
Description: Groovy based build system - Code quality plugin
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.
 .
 This package contains the Gradle code quality plugin that adds
 tasks which perform code quality checks and generate reports from these
 checks. The following tools are supported: CodeNarc and checkstyle.

Package: libgradle-eclipse-java
Architecture: all
Depends: libgradle-core-java (= ${binary:Version}), ${misc:Depends}
Suggests: eclipse
Description: Groovy based build system - Eclipse plugin
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.
 .
 This package contains the Gradle Eclipse plugin that generates
 files that are used by Eclipse IDE, thus making it possible to import the
 project into Eclipse (File - Import... - Existing Projects into Workspace).
 Both external and project dependencies are considered.

Package: libgradle-idea-java
Architecture: all
Depends: libgradle-core-java (= ${binary:Version}), ${misc:Depends}
Description: Groovy based build system - IDEA plugin
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.
 .
 This package contains the Gradle IDEA plugin that generates files
 that are used by IntelliJ Idea IDE, thus making it possible to open the
 project from Idea (File - Open Project). Both external (including associated
 source and javadoc files) and project dependencies are considered.

Package: libgradle-jetty-java
Architecture: all
Depends: libgradle-core-java (= ${binary:Version}), ${misc:Depends}
Suggests: libjetty-java
Description: Groovy based build system - Jetty plugin
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.
 .
 This package contains the Gradle Jetty plugin that extends the
 War plugin to add tasks which allow you to deploy your web application
 to a Jetty web container embedded in the build.

Package: libgradle-maven-java
Architecture: all
Depends: libgradle-core-java (= ${binary:Version}), ${misc:Depends}
Suggests: maven2
Description: Groovy based build system - Maven plugin
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.
 .
 This package contains the Gradle Maven plugin. With Gradle you can deploy
 to remote Maven repositories or install to your local Maven repository. This
 includes all Maven metadata manipulation and works also for Maven snapshots.

Package: libgradle-osgi-java
Architecture: all
Depends: libgradle-core-java (= ${binary:Version}), ${misc:Depends}
Suggests: bnd
Description: Groovy based build system - OSGi plugin
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.
 .
 This package contains the Gradle OSGi plugin. If the Java plugins is
 applied, the OSGi plugin replaces the manifest object of the default jar
 with an OsgiManifest object. The replaced manifest is merged into the new
 one. The OSGi plugin makes heavy use of Peter Kriens BND tool.

Package: libgradle-plugins-java
Architecture: all
Depends: libgradle-core-java (= ${binary:Version}), ${misc:Depends}
Description: Groovy based build system - Core plugins
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.
 .
 This package contains the Gradle core plugins.

Package: libgradle-scala-java
Architecture: all
Depends: libgradle-core-java (= ${binary:Version}), ${misc:Depends}
Suggests: scala
Description: Groovy based build system - Scala plugin
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.
 .
 This package contains the Gradle Scala plugin that extends the
 Java Plugin to add support for Scala projects. It can deal with Scala-only
 projects and with mixed Java/Scala projects. It can even deal with Java-only
 projects. The Scala plugin supports joint compilation of Java and Scala
 source. This means your project can contain Scala classes which use Java
 classes, and vice versa.

Package: libgradle-wrapper-java
Architecture: all
Depends: libgradle-core-java (= ${binary:Version}), ${misc:Depends}
Description: Groovy based build system - Wrapper plugin
 Gradle is a build system written in Groovy. It uses Groovy
