=== debian/watch ===
version=3
http://repo.gradle.org/gradle/distributions/ \
http://repo.gradle.org/gradle/distributions/gradle-([\w\.-]+)-src.zip \
debian debian/orig-tar.sh
