## gradle 1.0~m3

=== debian/changelog ===
gradle (1.0~m3-1) unstable; urgency=low

  * New upstream release.
  * Fix FTBFS bug due to changes introduced in recent Groovy versions.
    (Closes: #625767).
  * Refresh patches.
  * Drop libgradle-eclipse-java and libgradle-idea-java packages.
  * Add libgradle-ide-java package.
  * Set Ant >= 1.8 as the minimal version to depend on.
  * Add Depends on bsh and libtomcat6-java.
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Update watch file.
  * Fix missing-classpath lintian warnings.
  * Update copyright dates and make it DEP-5 compliant.
  * Add README.source.
  * Link javadocs to system javadocs.

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 31 May 2011 00:47:16 +0200
