=== debian/control ===
--- 
+++ 
@@ -4,43 +4,42 @@
 Section: java
 Priority: optional
 Build-Depends: debhelper (>= 7.0.50~), default-jdk, javahelper, gradle,
- libgradle-code-quality-java, libgradle-eclipse-java, libgradle-idea-java,
- libgradle-wrapper-java, libgradle-scala-java, unzip, ant, ant-optional,
+ libgradle-code-quality-java, libgradle-ide-java, libgradle-maven-java,
+ libgradle-wrapper-java, libgradle-scala-java, unzip, ant (>= 1.8),
  libantlr-java, libasm3-java, libcommons-cli-java, libcommons-io-java,
  libdom4j-java, libgoogle-collections-java (>= 1.0), groovy (>= 1.7.4), ivy,
  libjaxen-java, libjoptsimple-java, libslf4j-java, liblogback-java (>= 0.9.28),
  junit4, libxmlunit-java, libcommons-httpclient-java, libcommons-codec-java,
  libjsch-java, libjzlib-java, testng, libcommons-collections3-java,
- libmaven-ant-tasks-java, libjansi-java, libjna-posix-java,
+ libmaven-ant-tasks-java, libjansi-java, libjna-posix-java, libtomcat6-java,
  libplexus-containers-java, libmaven2-core-java, libplexus-component-api-java,
  libplexus-utils-java, libwagon-java, libcodenarc-groovy-java,
  checkstyle (>= 5.1), libcommons-beanutils-java, libsvnkit-java, bnd,
- libservlet2.5-java, libjetty-java, libjetty-extra-java, libxalan2-java,
- libgradle-maven-java
-Standards-Version: 3.9.1
+ libservlet2.5-java, libjetty-java, libjetty-extra-java, ant-optional (>= 1.8),
+ default-jdk-doc, groovy-doc, libmaven2-core-java-doc
+Standards-Version: 3.9.2
 Homepage: http://gradle.org/
 Vcs-Git: git://git.debian.org/git/pkg-java/gradle.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/gradle.git
 
 Package: gradle
 Architecture: all
-Depends: default-jre-headless, groovy (>= 1.7.4), ant, ant-optional,
- libgradle-core-java (= ${binary:Version}),
+Depends: default-jre-headless, groovy (>= 1.7.4), ant (>= 1.8),
+ ant-optional (>= 1.8), libgradle-core-java (= ${binary:Version}),
  libgradle-plugins-java (= ${binary:Version}), libantlr-java, libasm3-java,
  libcommons-cli-java, libcommons-io-java, libdom4j-java,
  libgoogle-collections-java (>= 1.0), ivy, libjaxen-java, libjoptsimple-java,
- libslf4j-java, liblogback-java (>= 0.9.28), junit4, libxmlunit-java,
+ libslf4j-java, liblogback-java (>= 0.9.28), junit4, libtomcat6-java,
  libcommons-httpclient-java, libcommons-codec-java, libjsch-java, libjzlib-java,
  testng, libcommons-collections3-java, libmaven-ant-tasks-java, libjansi-java,
  libjna-posix-java, libplexus-containers-java, libmaven2-core-java,
  libplexus-component-api-java, libwagon-java, libcodenarc-groovy-java,
- checkstyle (>= 5.1), libcommons-beanutils-java, libsvnkit-java, bnd,
+ checkstyle (>= 5.1), libcommons-beanutils-java, libsvnkit-java, bnd, bsh,
  libservlet2.5-java, libjetty-java, libjetty-extra-java, ${misc:Depends}
 Recommends: libgradle-announce-java (= ${binary:Version}),
  libgradle-antlr-java (= ${binary:Version}),
  libgradle-code-quality-java (= ${binary:Version}),
- libgradle-eclipse-java (= ${binary:Version}),
- libgradle-idea-java (= ${binary:Version}),
+ libgradle-ide-java (= ${binary:Version}),
  libgradle-jetty-java (= ${binary:Version}),
  libgradle-maven-java (= ${binary:Version}),
  libgradle-osgi-java (= ${binary:Version}),
@@ -120,38 +119,23 @@
  tasks which perform code quality checks and generate reports from these
  checks. The following tools are supported: CodeNarc and checkstyle.
 
-Package: libgradle-eclipse-java
-Architecture: all
-Depends: libgradle-core-java (= ${binary:Version}), ${misc:Depends}
+Package: libgradle-ide-java
+Architecture: all
+Depends: libgradle-core-java (= ${binary:Version}), ${misc:Depends}
+Recommends: eclipse-jdt
 Suggests: eclipse
-Description: Groovy based build system - Eclipse plugin
- Gradle is a build system written in Groovy. It uses Groovy
- also as the language for its build scripts. It has a powerful
- multi-project build support. It has a layer on top of Ivy
- that provides a build-by-convention integration for Ivy. It
- gives you always the choice between the flexibility of Ant
- and the convenience of a build-by-convention behavior.
- .
- This package contains the Gradle Eclipse plugin that generates
- files that are used by Eclipse IDE, thus making it possible to import the
- project into Eclipse (File - Import... - Existing Projects into Workspace).
- Both external and project dependencies are considered.
-
-Package: libgradle-idea-java
-Architecture: all
-Depends: libgradle-core-java (= ${binary:Version}), ${misc:Depends}
-Description: Groovy based build system - IDEA plugin
- Gradle is a build system written in Groovy. It uses Groovy
- also as the language for its build scripts. It has a powerful
- multi-project build support. It has a layer on top of Ivy
- that provides a build-by-convention integration for Ivy. It
- gives you always the choice between the flexibility of Ant
- and the convenience of a build-by-convention behavior.
- .
- This package contains the Gradle IDEA plugin that generates files
- that are used by IntelliJ Idea IDE, thus making it possible to open the
- project from Idea (File - Open Project). Both external (including associated
- source and javadoc files) and project dependencies are considered.
+Breaks: libgradle-idea-java (<< 1.0~), libgradle-eclipse-java (<< 1.0~)
+Replaces: libgradle-idea-java (<< 1.0~), libgradle-eclipse-java (<< 1.0~)
+Description: Groovy based build system - IDE support plugin
+ Gradle is a build system written in Groovy. It uses Groovy
+ also as the language for its build scripts. It has a powerful
+ multi-project build support. It has a layer on top of Ivy
+ that provides a build-by-convention integration for Ivy. It
+ gives you always the choice between the flexibility of Ant
+ and the convenience of a build-by-convention behavior.
+ .
+ This package contains plugins that provide integration with
+ common used IDEs like Eclipse and IDEA IntelliJ.
 
 Package: libgradle-jetty-java
 Architecture: all
@@ -239,3 +223,21 @@
 Depends: libgradle-core-java (= ${binary:Version}), ${misc:Depends}
 Description: Groovy based build system - Wrapper plugin
  Gradle is a build system written in Groovy. It uses Groovy
+ also as the language for its build scripts. It has a powerful
+ multi-project build support. It has a layer on top of Ivy
+ that provides a build-by-convention integration for Ivy. It
+ gives you always the choice between the flexibility of Ant
+ and the convenience of a build-by-convention behavior.
+ .
+ This package contains the Gradle Wrapper plugin that provides tasks
+ that can download the gradle source distribution or check out Gradle from
+ SVN. This is useful in those cases when Gradle is needed to build
+ a project, but Gradle is not installed.
+
+Package: gradle-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Recommends: libgradle-core-java (= ${binary:Version})
+Suggests: default-jdk-doc, groovy-doc, libmaven2-core-java-doc
+Description: Documentation for gradle
