=== debian/watch ===
version=3
opts=uversionmangle=s/-milestone-([0-9])+/~m$1/ \
http://www.gradle.org/downloads.html \
http://repo.gradle.org/gradle/distributions/gradle-([\w\.-]+)-src.zip \
debian debian/orig-tar.sh
