## gradle 1.4

=== debian/changelog ===
gradle (1.4-2ubuntu1) saucy; urgency=low

  * Adjust Build-Conflicts to cope with the anomalous version of groovy
    currently in Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Sep 2013 18:54:36 +0100

gradle (1.4-2) unstable; urgency=low

  * Fix compatibility with Apache Ivy 2.3 (Closes: #713171):
    - d/patches/35_ivy_23.diff: fix FTBFS on downloadRepositoryResource method
    - d/control: {Build,}-Depends on ivy (>= 2.3)
  * d/patches/34_disable_code_quality.diff: Disable some code analysis check
    to speed-up package build.
  * d/control: Merge Depends/Recommends field because Gradle just fails on
    missing dependencies (event if module is not used by user).
    (Closes: #718960, #707764). 

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 11 Aug 2013 16:13:00 +0200

gradle (1.4-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Merge all plugins packages into gradle-plugins: there is not real value
    in providing all those small packages since libgradle-core-java Depends
    on most of plugins dependencies.
  * d/control: Build-Depends on libasm4-java instead of libasm3-java.
  * d/control: Add Build-Depends on libnative-platform-java and
    libnative-platform-jni.
  * d/control: Build-Depends on libjarjar-java (>= 1.4+svn142-1) to build
    Gradle with jarjar which handle correctly updating the fully qualified
    class names in the jar's resources. Otherwise, we get errors during plexus
    startup.
  * d/rules: Add support for DEB_BUILD_OPTIONS parallel=n using new Gradle
    parallel feature.
  * d/control: Add Build-Depends on libkryo-java.
  * d/control: Bump Standards-Version to 3.9.4 (no changes needed).
  * d/control: Use canonical URL for Vcs-* fields.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 05 Feb 2013 23:38:19 +0100

gradle (1.1-1) experimental; urgency=low

  * New upstream release (Closes: #667077).

  [ Miguel Landaeta ]
  * Replace dependencies on jna-posix library with jnr-posix. (Closes: #628662).

  [ Damien Raude-Morvan ]
  * d/control: Add myself as Uploader.
  * d/control: Depends and B-D on new groovy (>= 1.8) (Closes: #637273).
  * Update all patches for new Gradle 1.1:
    - Drop d/patches/12_fix_missing_classpath.diff since its not needed anymore.
  * d/control: Replace B-D on libcommons-httpclient-java to libhttpclient-java.
  * d/control: Replace B-D on libgoogle-collections-java to libguava-java.
  * d/control: Add B-D on libjarjar-java,
    libjcifs-java, libjcip-annotations-java.
  * d/control: Drop B-D on libjoptsimple-java and libjzlib-java.
  * d/control: Replace B-D on maven (>= 3.0.4-4) instead of libmaven2-*.
  * d/bootstrap.sh: Update to Gradle 1.1 and add Provides for libraries.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Generate documentation:
    - d/patches/21_docs.diff: Fix links in docbook files.
    - Add B-D on docbook-xsl for documentation export.
    - Add B-D on libxalan2-java, libxerces2-java, libxslthl-java
      and libcore-renderer-java.
  * Enable new modules module cpp, ear, javascript, signing:
    - Add B-D on libbcpg-java and libbcprov-java.
    - Add B-D on librhino-java, libgoogle-gson-java.
  * Tomcat 6 / 7 compatibility (Closes: #683595):
    - Depends in libservlet2.5-java and libecj-java instead of libtomcat6-java.
  * Include new d/watch from Bart Martens <bartm@debian.org>.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 26 Dec 2012 23:52:01 +0100
