=== debian/watch ===
version=3
http://www.gradle.org/downloads .*/gradle-(\d.*)-src\.(?:tgz|tar\.(?:gz|bz2|xz)|zip) \
 debian debian/orig-tar.sh
